## org.apache.solr.client.solrj.beans
Class DocumentObjectBinder

    java.lang.Object
      org.apache.solr.client.solrj.beans.DocumentObjectBinder

    public class DocumentObjectBinder

extends Object

A class to map objects to and from solr documents.

Since:
  solr 1.3
Version:
  $Id: DocumentObjectBinder.java 945270 2010-05-17 17:45:18Z rmuir $

Constructor Summary
`DocumentObjectBinder()`

Method Summary

`

`<T> T`

`

`getBean(Class<T> clazz, SolrDocument solrDoc)`

`

`<T> List<T>`

`

`getBeans(Class<T> clazz, SolrDocumentList solrDocList)`

`SolrInputDocument` `toSolrInputDocument(Object obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentObjectBinder

    public DocumentObjectBinder()

Method Detail

### getBeans

    public <T> List<T> getBeans(Class<T> clazz,
                                SolrDocumentList solrDocList)

### getBean

    public <T> T getBean(Class<T> clazz,
                         SolrDocument solrDoc)

### toSolrInputDocument

    public SolrInputDocument toSolrInputDocument(Object obj)

Copyright © 2011 Apache Software Foundation. All Rights Reserved.